org.jboss.jca.common.metadata.ds

## Class ValidationImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.ValidationImpl
  - - org.jboss.jca.common.metadata.ds.ValidationImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.Validation, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class ValidationImpl
      extends ValidationImpl
      implements org.jboss.jca.common.api.metadata.ds.Validation

  A ValidationImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.ds.Validation

      `org.jboss.jca.common.api.metadata.ds.Validation.Tag`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.common.metadata.common.ValidationImpl

      `backgroundValidation, backgroundValidationMillis, useFastFail, validateOnMatch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationImpl(java.lang.Boolean backgroundValidation, java.lang.Long backgroundValidationMillis, java.lang.Boolean useFastFail, org.jboss.jca.common.api.metadata.common.Extension validConnectionChecker, java.lang.String checkValidConnectionSql, java.lang.Boolean validateOnMatch, org.jboss.jca.common.api.metadata.common.Extension staleConnectionChecker, org.jboss.jca.common.api.metadata.common.Extension exceptionSorter)` Create a new ValidationImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getCheckValidConnectionSql()` Get the checkValidConnectionSql.
    `org.jboss.jca.common.api.metadata.common.Extension` | `getExceptionSorter()` Get the exceptionSorter
    `org.jboss.jca.common.api.metadata.common.Extension` | `getStaleConnectionChecker()` Get the staleConnectionChecker
    `org.jboss.jca.common.api.metadata.common.Extension` | `getValidConnectionChecker()` Get the validConnectionChecker
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class org.jboss.jca.common.metadata.common.ValidationImpl

      `getBackgroundValidationMillis, isBackgroundValidation, isUseFastFail, isValidateOnMatch`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.common.Validation

      `getBackgroundValidationMillis, isBackgroundValidation, isUseFastFail, isValidateOnMatch`

- - ### Constructor Detail

    - #### ValidationImpl

          public ValidationImpl(java.lang.Boolean backgroundValidation,
                                java.lang.Long backgroundValidationMillis,
                                java.lang.Boolean useFastFail,
                                org.jboss.jca.common.api.metadata.common.Extension validConnectionChecker,
                                java.lang.String checkValidConnectionSql,
                                java.lang.Boolean validateOnMatch,
                                org.jboss.jca.common.api.metadata.common.Extension staleConnectionChecker,
                                org.jboss.jca.common.api.metadata.common.Extension exceptionSorter)
                         throws org.jboss.jca.common.api.validator.ValidateException

      Create a new ValidationImpl.
      Parameters:
        `backgroundValidation` - backgroundValidation
        `backgroundValidationMillis` - backgroundValidationMillis
        `useFastFail` - useFastFail
        `validConnectionChecker` - validConnectionChecker
        `checkValidConnectionSql` - checkValidConnectionSql
        `validateOnMatch` - validateOnMatch
        `staleConnectionChecker` - staleConnectionChecker
        `exceptionSorter` - exceptionSorter
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### getCheckValidConnectionSql

          public java.lang.String getCheckValidConnectionSql()

      Get the checkValidConnectionSql.
      Returns:
        the checkValidConnectionSql.

    - #### getValidConnectionChecker

          public org.jboss.jca.common.api.metadata.common.Extension getValidConnectionChecker()

      Get the validConnectionChecker
      Returns:
        the validConnectionChecker

    - #### getStaleConnectionChecker

          public org.jboss.jca.common.api.metadata.common.Extension getStaleConnectionChecker()

      Get the staleConnectionChecker
      Returns:
        the staleConnectionChecker

    - #### getExceptionSorter

          public org.jboss.jca.common.api.metadata.common.Extension getExceptionSorter()

      Get the exceptionSorter
      Returns:
        the exceptionSorter

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ValidationImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ValidationImpl`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `ValidationImpl`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)